<?php
namespace Controllers; 

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\Controller;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\Controller\Crud;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DTO\Response\Notification;

class Fai02700DespesasMaoObraController extends \Teknisa\Libs\Controller\CRUD {
    protected $connection;
    protected $dataSourceManager;
    
    public function __construct($crudService, $environment , $connection, $dataSourceManager) {
        $this->environment = $environment;
        $this->connection = $connection;
        $this->dataSourceManager    = $dataSourceManager;
            
    }
    
    public function checkOrcamentoMo(DTO\Request $request, DTO\Response $response ){
        $dados = $request->getDataSet()->getRows();
        if($dados != null){
            $row = $dados[0];
            try{
                $parametros =  array(
                    'P_CDDESPADMFAT' => $row['CDDESPADMFAT']
                );
                
                $stmt = $this->connection->prepare("
                    SELECT CDDESPADMFAT FROM DESPORCAMO WHERE CDDESPADMFAT = :P_CDDESPADMFAT
                ");
                $stmt->execute($parametros);
                $retorno = $stmt->fetchAll();
                $response->addDataSet(new DataSet("RESULTADO", $retorno));
            }catch(\Exception $ex){
                $response->setError(new Error("Nao foi possivel processar os dados enviados   --- " . $ex->getMessage(), 500));
                 
            }
            
        }
    }

    
}


